body {
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #fff8f3;
    text-align: center;
}


header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 30px;
    background-color: #edf4c2;
    position: relative;
}

.logo {
    font-size: 24px;
    font-weight: bold;
}

#menu-toggle {
    display: none;
}

.nav {
    display: flex;
    gap: 20px;
}

.nav a {
    text-decoration: none;
    color: black;
    font-weight: 500;
}

.hamburger {
    display: none;
    font-size: 26px;
    cursor: pointer;
}


.hero {
    position: relative;
    text-align: center;
    color: white;
}

.hero-image {
    width: 100%;
    height: 90vh;
    object-fit: cover;
}

.hero-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.hero h1 {
    font-size: 40px;
    margin-bottom: 10px;
}

.hero p {
    font-size: 18px;
    margin-bottom: 20px;
}


button {
    margin-top: 15px;
    padding: 10px 18px;
    border: none;
    background-color: #16bdc3;
    color: white;
    cursor: pointer;
    border-radius: 6px;
    transition: 0.3s;
}

button:hover {
    background-color: #e76f51;
}


.product-row {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    padding: 40px;
    flex-wrap: wrap;
}

.product {
    flex: 1 1 30%;
    background-color: #ffffff;
    padding: 20px;
    border-radius: 10px;
    transition: 0.3s;
}

.product:hover {
    border: 4px solid hotpink;
    background-color: #fff0f5;
    transform: translateY(-5px);
}
.product img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    border-radius: 10px;
}

.highlight {
    border: 4px solid hotpink;
    background-color: #fff0f5;
}


@media (max-width: 768px) {

    .hamburger {
        display: block;
    }

    .nav {
        display: none;
        flex-direction: column;
        background-color: #edf4c2;
        position: absolute;
        top: 60px;
        right: 30px;
        padding: 15px;
        border-radius: 8px;
    }

    #menu-toggle:checked + .hamburger + .nav {
        display: flex;
    }

    .product-row {
        flex-direction: column;
        padding: 20px;
    }

    .product {
        flex: 1 1 100%;
    }
}